/*
 * For Atari ST with MiNT
 *      Supplied by: Jens Krinke <krinke@ips.cs.tu-bs.de> 13 May 1994.
 */


/**********************************************************************
* %W% %G%
*
* ss    :       A SpreadSheet Program
*
* Art's Spreadsheet program.          Art Mulder ( art@cs.ualberta.ca )
* University of Alberta, Department of Computing Science.
***********************************************************************
* Header file for various definitions
*
* (included by ss.h)
**********************************************************************/

/*      Commonly Changed Definitions
 *----------------------------------------------------------------------
 */

/*
 * SIGVOID 	Signal routines are type void.
 *
 * #define: System 5.3, SunOS 4.X, VMS, BSD4.4 (reno), and
 *          ANSI C Compliant systems
 * #undef: BSD systems (excluding reno, BSD4.4), and the UNIXPC 'cc'
 */
#undef SIGVOID

/*
 * RE_COMP	You have the re_comp/re_exec regular expression routines.
 *		(most BSD based systems do).
 */
#undef RE_COMP

/*
 * REGCMP	You have the regcmp/regex regular expression routines.
 *		(most System V based systems do)
 */
#undef  REGCMP

/* 
 * DFLT_PAGER	This is the name of a pager like "more".
 *		("pg" may be appropriate for System V)
 */
#define DFLT_PAGER "more"

/*
 * NO_FMOD	If you get errors about fmod being undefined when you try 
 *		to compile, then define NO_FMOD. 
 *		(most likely BSD4.3 and Mt Xinu).
 */
#undef NO_FMOD

/*	Variables which are NOT commonly changed.  
 *----------------------------------------------------------------------
 */

/*
 * NOUNGETCH	Set NOUNGETCH for lex.c if you don't have ungetch() 
 *		in your curses library.
 */
#define NOUNGETCH

/* 
 * SIMPLE	Set SIMPLE for lex.c if you don't want arrow keys, 
 *		or if lex.c blows up
 */
#undef SIMPLE

/* 
 * BROKENCURSES	Your curses has the nl/nonl bug.  If it does and you
 *		don't set BROKENCURSES, the display will be staggered
 *		across the screen. Also try IDLOKBAD below.
 */
#undef BROKENCURSES

/*
 * DOBACKUPS	You would like a backup copy of a source file on a save
 */
#define DOBACKUPS

/*
 * INTERNATIONAL 	You need 8 bit characters.  You should not set
 *		this if you are running 5.3.0.  I think it is OK in 5.3.1.
 *
 * (These comments are from 'sc', I do not know what is meant by '5.3.1'
 *  ...Art Mulder)
 */
#undef INTERNATIONAL

/*
 * IEEE_MATH 	You need setsticky() calls in your signal handlers.
 */
#undef IEEE_MATH

/*
 * RINT		Set RINT if you do not have rint() in math.h
 *		Not needed on/with (they have rint): 
 *		  SunOS 4.0.3c, 4.1.1 compiler, BSD4.4 (reno)
 */
#undef RINT

/*
 * SAVE		This is the name to save back ups in (when ss is crashing).
 */
#define SAVENAME "ss.SAVE"

/*
 * CRYPT_PATH	Path to crypt, do NOT define if you don't have crypt.
 *		Most systems: /bin/crypt  BSD: usr/bin/crypt
 */
#undef CRYPT_PATH

/* 
 * NONOTIMEOUT	Your system doesn't have notimeout() in curses.
 */
#undef NONOTIMEOUT


/*
 * IDLOKBAD	Hardware insert/delete doesn't work in your curses.
 *
 *  Try setting IDLOKBAD to fix (with an empty spreadsheet):
 * 	a) Redrawing the bottom half of the screen when you
 * 	 	move between row 9 <-> 10
 * 	b) the highlighted row labels being trash when you
 * 		move between row 9 <-> 10
 * 	c) On an xterm on Esix Rev. D+ from eating lines
 * 		 -goto (or move) a few lines (or more) past the bottom
 * 		 of the screen, goto (or move) to the top line on the
 * 		 screen, move upward and the current line is deleted, the
 * 		 others move up even when they should not, check by
 * 		 noticing the rows become 2, 3, 40, 41, 42... (etc).
 * 	Known systems/terminfos w/ curses problems:
 * 	{Esix Rev. D+, AT&T SysV3.2.1}:at386-m,xterm, HP-UX7.0:(not sure)
 */
#undef IDLOKBAD

/*
 * NOIDLOK	You don't have idlok() in your curses.
 */
#undef NOIDLOK

/*
 * RIGHT_CBUG	If moving off the screen to the right causes the screen to not
 *		redraw properly, define RIGHT_CBUG to get around a curses
 *		problem on some boxes, this forces screen redraws when moving
 *		off the right side of the screen.
 */
#undef RIGHT_CBUG

/* 
 * HAVE_MEMORY_H	Define this, if your compiler is choking on the
 * 			alloc and free deklarations in xmalloc.c
 */
#define HAVE_MEMORY_H

/* 
 * NO_ATTR	Define this, if your curses library has no attron() function.
 */
#define NO_ATTR

/* 
 * NO_BEEP	Define this, if your curses library has no beep() function.
 */
#define NO_BEEP

/*----------------------------------------------------------------------
 *      End
 */
